<?php
  if(!$fd = fopen('test.txt', 'r')){
    echo("Nie mogę otworzyć pliku test.txt.");
  }
  else{
    $lineNo = 1;
    echo "$lineNo. ";
    while(($str = fgetc($fd)) !== false){
      if($str == "\n"){
        $lineNo++;
        echo("<br>$lineNo. ");
        continue;
      }
      echo($str);
    }
    fclose($fd);
  }
?>
